import { DisplayProcessor, FieldDisplay, GrafanaTheme2 } from '@grafana/data';
import { RadialGradientMode, RadialShape } from './RadialGauge';
import { GaugeDimensions } from './utils';
export interface RadialColorDefsOptions {
    gradient: RadialGradientMode;
    fieldDisplay: FieldDisplay;
    theme: GrafanaTheme2;
    dimensions: GaugeDimensions;
    shape: RadialShape;
    gaugeId: string;
    displayProcessor: DisplayProcessor;
}
export declare class RadialColorDefs {
    private options;
    private colorToIds;
    private defs;
    constructor(options: RadialColorDefsOptions);
    getSegmentColor(forValue: number): string;
    getColor(baseColor: string, forSegment?: boolean): string;
    getMainBarColor(): string;
    getDefs(): React.ReactNode[];
}
